0 Members and 1 Guest are viewing this topic.

Upgrade process from osdate 2.5.4 to Evo 1.3
« on: June 16, 2018, 06:17:31 PM »
Hello There,
I've been using osDate 2.5.4 for a very long time and now I want to upgrade to Evo 1.3.which has very good templates and are responsive.
Has Anybody done this upgradations without any problems?If so Can you please guide me step by step process.My site is Live and I cannot downlink the website not  even for few minutes.
Appreciate your help.

Thanks
srikanth

*

Pharg

  • *****
  • 3,125
    • OsDateFourm
  • osDate Version: osDateEvo v1.3
Re: Upgrade process from osdate 2.5.4 to Evo 1.3
« Reply #1 on: June 16, 2018, 11:20:37 PM »
Hi srikanth555,

Yes I have upgraded a few people from osDate 2.5.4 up to osDateEvo v1.3.

What you have to do is:

Backup your Site First

1: Download the patchset attached here.

2: Upload all the patches from your version being osDate v2.5.4
    being Patch_osDate_v2.5.5
    then Patch_osDate_v2.5.6
    then Patch_osDate_v2.5.5
    then Patch_osDate_v2.6

3: Rename the Templates folder to TemplatesBak do the same for the languages folder, rename to languagesBak

4: Once all that is done, then you can just follow the instructions from the osDateEvo v1.3 Upgrade that's here:
    https://www.osdateforum.com/osdateevo-updated-files-fixed-bugs/how-to-upgrade-osdateevo-v1-2-to-osdateevo-v1-3-for-php7/msg10745/?topicseen#new


Regards,
Pharg ( Phill )

REMEMBER: ALWAYS BACKUP BEFORE YOU MAKE ANY CHANGES!!

osDateEvo v1.3 | PHP: 5.3.42 & PHP: 7.1.15 | MySQL: 5.5.35

Re: Upgrade process from osdate 2.5.4 to Evo 1.3
« Reply #2 on: June 17, 2018, 07:23:28 AM »
Hey Pharg!!
Thank you so much for the instructions. Will Follow them and try it out.


Thanks

srikanth

Re: Upgrade process from osdate 2.5.4 to Evo 1.3
« Reply #3 on: June 18, 2018, 04:00:06 PM »
Hi Pharg,
I have done all the three steps but the 4th step says about upgrading from evo from 1.2 to 1.3 version.
 Do I need to upload Evo 1.3 version files directly  into  Osd  2.6 and without uploading 1.2 version ?
Please do let me know.

Thanks
srikanth


*

Pharg

  • *****
  • 3,125
    • OsDateFourm
  • osDate Version: osDateEvo v1.3
Re: Upgrade process from osdate 2.5.4 to Evo 1.3
« Reply #4 on: June 18, 2018, 10:06:06 PM »
Hi srikanth555,

Yes you have to upload the entire osDateEvo v1.3 as all the code has been updated to work in PHP 7

Don't forget to make all the changes to the config.php and change the mysql to mysqli in the config.php also
or you will get errors.

Before importing these 3 files below, Check if your Database Prefix is Named osdate if Not, then you will have to edit the 3 files below and change the osdate name to the same database prefix name you have.
Example: change `osdate_glblsettings` to `myosdate_glblsettings` or `newnamehere_glblsettings'`

Also make sure you upload the new database changes from the sql folder, being:
   Import the /sql/facebook-login-mod.sql
   Import the /sql/friends-mod.sql
   Import the /sql/honeypot.sql

Don't try to use your OLD Language files from older versions, as the won't work in PHP 7.
Some of the code had to be changed in the New Language files to get the files to work in PHP 7.

« Last Edit: June 18, 2018, 10:13:39 PM by Pharg »
Regards,
Pharg ( Phill )

REMEMBER: ALWAYS BACKUP BEFORE YOU MAKE ANY CHANGES!!

osDateEvo v1.3 | PHP: 5.3.42 & PHP: 7.1.15 | MySQL: 5.5.35

Re: Upgrade process from osdate 2.5.4 to Evo 1.3
« Reply #5 on: June 20, 2018, 02:54:57 PM »
Hey Pharg!
Did all the steps as per the instructions but I have got this error.Can you please guide me resolving this issue.
I have tried installing Evo 1.3 directly in other directory it is working fine.But If I upgrade then Its erroring out.

This is what I get when I open my website
Call to undefined method pluginBackup::modPlugin() in /home/content/XX/X40XXX80/html/matri1.3/plugins/pluginBackup/libs/pluginBackup.php on line 129

Thanks
srikanth

*

Pharg

  • *****
  • 3,125
    • OsDateFourm
  • osDate Version: osDateEvo v1.3
Re: Upgrade process from osdate 2.5.4 to Evo 1.3
« Reply #6 on: June 20, 2018, 10:05:11 PM »
Hi srikanth555,

Your getting that error because we had to remove that pluginBackup plugin because of a possible security risk to your database.

You need to uninstall it and remove the pluginBackup from the database and remove it from the plugins.

If your not sure how, let me know.
Regards,
Pharg ( Phill )

REMEMBER: ALWAYS BACKUP BEFORE YOU MAKE ANY CHANGES!!

osDateEvo v1.3 | PHP: 5.3.42 & PHP: 7.1.15 | MySQL: 5.5.35

Re: Upgrade process from osdate 2.5.4 to Evo 1.3
« Reply #7 on: June 21, 2018, 03:45:13 PM »
Hey Pharg!!

I Have Not Deleted the pluginBackup from DB but I have Removed Those Functions From two files pluginBackup.php and scrollingGallery.php and its working fine.
Finally My Site is up and running.
Thanks a lot again

Srikanth

*

Pharg

  • *****
  • 3,125
    • OsDateFourm
  • osDate Version: osDateEvo v1.3
Re: Upgrade process from osdate 2.5.4 to Evo 1.3
« Reply #8 on: June 21, 2018, 08:57:37 PM »
Hi srikanth555,

Your welcome, yes the scrollingGallery.php was also removed as it didn't work well with our updates.
Regards,
Pharg ( Phill )

REMEMBER: ALWAYS BACKUP BEFORE YOU MAKE ANY CHANGES!!

osDateEvo v1.3 | PHP: 5.3.42 & PHP: 7.1.15 | MySQL: 5.5.35